/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.client.gui;

import java.awt.Cursor;
import java.awt.Image;
import java.awt.Toolkit;

/**
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
public class KGCursor {

    private static String cursorsPath = "resources"
            + System.getProperty("file.separator") + "icons"
            + System.getProperty("file.separator") + "cursors"
            + System.getProperty("file.separator");
    private static Toolkit kit = Toolkit.getDefaultToolkit();
    private static Image img;
    private static Cursor dataset = null;
    private static Cursor process = null;
    private static Cursor model = null;
    private static Cursor edge = null;
    private static Cursor delete = null;
    private static Cursor dragHover = null;
    private static Cursor dragPressed = null;

    public static Cursor getCursor() {
        return getCursor(View.getEditingStatus());
    }

    public static Cursor getCursor(View.EditingStatusType status) {
        switch (status) {
        case DATASET:
            if (dataset == null) {
                // imgIcon = new ImageIcon(cursorsPath +
                // "database_cursor32x32_3.png");
                // img = imgIcon.getImage();
                // img = kit.getImage(cursorsPath +
                // "database_cursor32x32_3.png");i
            }
            // return dataset;
            return Cursor.getDefaultCursor();

        case TOOL:
            if (process == null) {
                // img = kit.getImage(View.class.getResource(cursorsPath
                // + "process_cursor32x32_4.png"));
                // process = kit.createCustomCursor(img, new Point(16, 16),
                // "process");
            }
            // return process;
            return Cursor.getDefaultCursor();
        case MODEL:
            if (model == null) {
                // img = kit.getImage(View.class.getResource(cursorsPath
                // + "process_model32x32_3.png"));
                // model = kit.createCustomCursor(img, new Point(16, 16),
                // "model");
            }
            // return model;
            return Cursor.getDefaultCursor();
        case EDGE:
            if (edge == null) {
                // img = kit.getImage(View.class.getResource(cursorsPath
                // + "edge_32x32_4.png"));
                // edge = kit.createCustomCursor(img, new Point(16, 16),
                // "edge");
            }
            // return edge;
            return Cursor.getDefaultCursor();
        case DELETE:
            if (delete == null) {
                // img = kit.getImage(View.class.getResource(cursorsPath
                // + "delete_32x32_4.png"));
                // delete = kit.createCustomCursor(img, new Point(16, 16),
                // "delete");
            }
            // return delete;
            return Cursor.getDefaultCursor();
        case DRAG_HOVER:
            if (dragHover == null) {
                // img = kit.getImage(View.class.getResource(cursorsPath
                // + "hand.gif"));
                // dragHover = kit.createCustomCursor(img, new Point(16, 16),
                // "dragHover");
            }
            // return dragHover;
            return Cursor.getDefaultCursor();
        case DRAG_PRESSED:
            if (dragPressed == null) {
                // img = kit.getImage(View.class.getResource(cursorsPath
                // + "fist.gif"));
                // dragPressed = kit.createCustomCursor(img, new Point(16, 16),
                // "dragPressed");
            }
            // return dragPressed;
            return Cursor.getDefaultCursor();
        }
        return null;
    }
}
