/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.client.gui;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.HashMap;

import javax.swing.BorderFactory;
import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

/**
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
public class ResultsActionListener implements ActionListener {
    private String filePath;
    private String title;
    private static HashMap<String, JFrame> frames = new HashMap<String, JFrame>();
    private JFrame mainFrame;
    private JFrame frame;

    public ResultsActionListener(String p, String d, String f, JFrame mf) {
        filePath = p;
        title = d + " " + f;
        mainFrame = mf;
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        frame = frames.get(title);
        if (frame == null) {
            frame = new JFrame(title);
            frame.getContentPane().setLayout(new BorderLayout());
            JTextArea textArea = new JTextArea(30, 65);
            textArea.setEditable(false);
            // textArea.setFont(new Font("Monospaced", Font.PLAIN, 12));
            textArea.setBorder(BorderFactory.createEmptyBorder(5, 5, 5, 5));
            textArea.setText(Utils.fileToString(filePath));
            textArea.setCaretPosition(0);
            JScrollPane jspane = new JScrollPane(textArea);
            jspane.setBorder(BorderFactory.createTitledBorder(title));
            frame.getContentPane().add(jspane, BorderLayout.CENTER);
            frame.addWindowListener(new java.awt.event.WindowAdapter() {
                public void windowClosing(java.awt.event.WindowEvent e) {
                    frames.remove(title);
                    frame.dispose();
                    frame = null;
                }
            });
            frame.pack();
            frame.setLocationRelativeTo(mainFrame);
            frames.put(title, frame);
            frame.setVisible(true);
        } else {
            frame.toFront();
        }
    }
}
