/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.client.remote;

import javax.xml.namespace.QName;

/**
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
interface Consts {

    public static final String NAMESPACE_ROOT     = "http://grid.deis.unical.it/kgrid/";
    public static final String SERVICES_ROOT      = "wsrf/services/";

    static final String        EPMS_NAMESPACE     = NAMESPACE_ROOT
                                                          + "EPMSService";
    static final String        DAS_NAMESPACE      = NAMESPACE_ROOT
                                                          + "DASService";
    static final String        TAAS_NAMESPACE     = NAMESPACE_ROOT
                                                          + "TAASService";

    static final String        DELEGATION_FACTORY = SERVICES_ROOT
                                                          + "DelegationFactoryService";
    static final String        EPMS_FACTORY       = SERVICES_ROOT
                                                          + "EPMSFactoryService";
    static final String        DAS_FACTORY        = SERVICES_ROOT
                                                          + "DASFactoryService";
    static final String        TAAS_FACTORY       = SERVICES_ROOT
                                                          + "TAASFactoryService";
    static final String        RAEMS_FACTORY      = SERVICES_ROOT
                                                          + "RAEMSFactoryService";

    static final QName         EPMS_QNAME         = new QName(EPMS_NAMESPACE,
                                                          "LastOp");
    static final QName         DAS_QNAME          = new QName(DAS_NAMESPACE,
                                                          "DAS_RP");
    static final QName         TAAS_QNAME         = new QName(TAAS_NAMESPACE,
                                                          "TAAS_RP");

}
